diff --git a/source/NVDAObjects/window/winword.py b/source/NVDAObjects/window/winword.py
old mode 100755
new mode 100644
index 17880dd..83e8301
--- a/source/NVDAObjects/window/winword.py
+++ b/source/NVDAObjects/window/winword.py
@@ -25,6 +25,7 @@ import colors
 import controlTypes
 from . import Window
 from ..behaviors import EditableTextWithoutAutoSelectDetection
+import eventHandler
  
 #Word constants
 
@@ -478,6 +479,47 @@ class WordDocument(EditableTextWithoutAutoSelectDetection, Window):
 	def script_previousColumn(self,gesture):
 		self._moveInTable(row=False,forward=False)
 
+	def script_previousParagraph(self,gesture):
+		self._moveInList(gesture, textInfos.UNIT_PARAGRAPH,forward=False)
+
+	def script_nextParagraph(self,gesture):
+		self._moveInList(gesture, textInfos.UNIT_PARAGRAPH,forward=True)
+        
+
+
+        def _moveInList(self, gesture, unit, forward):
+		try:
+			info=self.makeTextInfo(textInfos.POSITION_CARET)
+		except:
+			gesture.send()
+			return
+		bookmark=info.bookmark
+		gesture.send()
+                caretMoved,newInfo=self._hasCaretMoved(bookmark) 
+                if not caretMoved and self.shouldFireCaretMovementFailedEvents:
+                        eventHandler.executeEvent("caretMovementFailed", self, gesture=gesture)
+                formatConfig=config.conf['documentFormatting'].copy()
+                formatConfig['reportList']=True
+                info = self.makeTextInfo(textInfos.POSITION_CARET)
+                info.expand(textInfos.UNIT_PARAGRAPH)
+                commandList=info.getTextWithFields(formatConfig)
+                islist = len(commandList) > 3 and (commandList[1].field.get('line-prefix','') != '')
+                if islist:
+                        bulletstr = commandList[1].field.get('line-prefix','')
+                        if not caretMoved:
+                                if forward: 
+                                        ## At Text.
+                                        speech.speakTextInfo(info,reason=controlTypes.REASON_CARET)
+                                else:
+                                        speech.speakMessage(bulletstr)
+                        else:
+                                if forward:
+                                        speech.speakMessage(bulletstr)
+                                else:
+                                        speech.speakTextInfo(info,reason=controlTypes.REASON_CARET)
+                else:
+                        speech.speakTextInfo(info,reason=controlTypes.REASON_CARET)
+
 	__gestures = {
 		"kb:tab": "tab",
 		"kb:shift+tab": "tab",
@@ -487,5 +529,7 @@ class WordDocument(EditableTextWithoutAutoSelectDetection, Window):
 		"kb:control+alt+rightArrow": "nextColumn",
 		"kb:control+pageUp": "caret_moveByLine",
 		"kb:control+pageDown": "caret_moveByLine",
+		"kb:control+upArrow": "previousParagraph",
+		"kb:control+downArrow": "nextParagraph",
 	}
 
diff --git a/source/locale/en/symbols.dic b/source/locale/en/symbols.dic
index 5a53009..ebb2cb4 100644
--- a/source/locale/en/symbols.dic
+++ b/source/locale/en/symbols.dic
@@ -112,3 +112,7 @@ _	line	most
 →	right arrow	some
 ✓	check	some
 ✔	check	some
+	arrow head	some
+	check	some
+	black square	some
+	four squares	some
